pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar > Class Template Referenceabstract
Module registration

Base warp point class. More...

`#include <pcl/registration/warp_point_rigid.h>`

## Public Types

using | Matrix4 = Eigen::Matrix< Scalar, 4, 4 >
using | VectorX = Eigen::Matrix< Scalar, Eigen::Dynamic, 1 >
using | Vector4 = Eigen::Matrix< Scalar, 4, 1 >
using | Ptr = shared_ptr< WarpPointRigid< PointSourceT, PointTargetT, Scalar > >
using | ConstPtr = shared_ptr< const WarpPointRigid< PointSourceT, PointTargetT, Scalar > >

## Public Member Functions

| WarpPointRigid (int nr_dim)
| Constructor. More...
virtual | ~WarpPointRigid ()
| Destructor. More...
virtual void | setParam (const VectorX &p)=0
| Set warp parameters. More...
void | warpPoint (const PointSourceT &pnt_in, PointSourceT &pnt_out) const
| Warp a point given a transformation matrix. More...
void | warpPoint (const PointSourceT &pnt_in, Vector4 &pnt_out) const
| Warp a point given a transformation matrix. More...
int | getDimension () const
| Get the number of dimensions. More...
const Matrix4 & | getTransform () const
| Get the Transform used. More...

## Protected Attributes

int | nr_dim_
Matrix4 | transform_matrix_

## Detailed Description

### template<typename PointSourceT, typename PointTargetT, typename Scalar = float>
class pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >

Base warp point class.

Note
  The class is templated on the source and target point types as well as on the output scalar of the transformation matrix (i.e., float or double). Default: float.

Author
  Radu B. Rusu

Definition at line 56 of file warp_point_rigid.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

using pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::ConstPtr = shared_ptr<const WarpPointRigid<PointSourceT, PointTargetT, Scalar> >

Definition at line 63 of file warp_point_rigid.h.

## Matrix4

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

using pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::Matrix4 = Eigen::Matrix<Scalar, 4, 4>

Definition at line 58 of file warp_point_rigid.h.

## Ptr

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

using pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::Ptr = shared_ptr<WarpPointRigid<PointSourceT, PointTargetT, Scalar> >

Definition at line 62 of file warp_point_rigid.h.

## Vector4

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

using pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::Vector4 = Eigen::Matrix<Scalar, 4, 1>

Definition at line 60 of file warp_point_rigid.h.

## VectorX

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

using pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::VectorX = Eigen::Matrix<Scalar, Eigen::Dynamic, 1>

Definition at line 59 of file warp_point_rigid.h.

## Constructor & Destructor Documentation

## WarpPointRigid()

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::WarpPointRigid | ( | int | nr_dim | ) |

inline

Constructor.

Parameters

  [in] | nr_dim | the number of dimensions

Definition at line 68 of file warp_point_rigid.h.

References pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::transform_matrix_.

## ~WarpPointRigid()

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

virtual pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::~WarpPointRigid | ( |  | ) |

inline virtual

Destructor.

Definition at line 74 of file warp_point_rigid.h.

## Member Function Documentation

## getDimension()

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

int pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::getDimension | ( |  | ) | const

inline

Get the number of dimensions.

Definition at line 125 of file warp_point_rigid.h.

References pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::nr_dim_.

## getTransform()

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

const Matrix4& pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::getTransform | ( |  | ) | const

inline

Get the Transform used.

Definition at line 132 of file warp_point_rigid.h.

References pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::transform_matrix_.

## setParam()

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

virtual void pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::setParam | ( | const VectorX & | p | ) |

pure virtual

Set warp parameters.

Pure virtual.

Parameters

  [in] | p | warp parameters

## warpPoint() [1/2]

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

void pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::warpPoint | ( | const PointSourceT & | pnt_in,
|  | PointSourceT & | pnt_out
| ) |  | const

inline

Warp a point given a transformation matrix.

Parameters

  [in] | pnt_in | the point to warp (transform)
  [out] | pnt_out | the warped (transformed) point

Definition at line 87 of file warp_point_rigid.h.

References pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::transform_matrix_.

## warpPoint() [2/2]

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

void pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::warpPoint | ( | const PointSourceT & | pnt_in,
|  | Vector4 & | pnt_out
| ) |  | const

inline

Warp a point given a transformation matrix.

Parameters

  [in] | pnt_in | the point to warp (transform)
  [out] | pnt_out | the warped (transformed) point

Definition at line 109 of file warp_point_rigid.h.

References pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::transform_matrix_.

## Member Data Documentation

## nr_dim_

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

int pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::nr_dim_

protected

Definition at line 141 of file warp_point_rigid.h.

Referenced by pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::getDimension().

## transform_matrix_

template<typename PointSourceT , typename PointTargetT , typename Scalar = float>

Matrix4 pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::transform_matrix_

protected

Definition at line 142 of file warp_point_rigid.h.

Referenced by pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::getTransform(), pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::warpPoint(), and pcl::registration::WarpPointRigid< PointSourceT, PointTargetT, Scalar >::WarpPointRigid().

The documentation for this class was generated from the following file:

- pcl/registration/warp_point_rigid.h